Skip to main content
GET
Get a single style by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

A unique identifier for a style

Example:

"174ae091-0f7c-45e9-83be-895e7cbe1389"

Response

Style details

Style response schema

id
string
required

Unique identifier for the style

title
string | null
required

Name of the style

urls
string<uri>[]
required

Portrait-oriented preview URLs

Can be an external URL, base64 data URI, or uploaded asset URL.

Maximum string length: 1024
public
boolean
required

Whether the style is publicly visible

prompt
string
required

Suggested prompt for using this style

owner
object | null
required

Style creator info (null for Krea-official styles)

like_count
number
required

Number of likes

created_at
string
required

Creation timestamp

cover_url
string<uri> | null

Cover image URL

models
string[]

Compatible model names (e.g., flux_dev, wan)